#
# spec file for package minicom (Version 1.83.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gettext
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         minicom
Copyright:    GPL
Group:        Applications/Communications
Provides:     comms minicom
Requires:     rzsz
Autoreqprov:  on
Version:      1.83.1
Release:      112
Summary:      A terminal program
Source: minicom-1.83.1.tar.gz
Patch: minicom-1.83.1.dif
Patch1: minicom-ko.po.patch

%description
Terminal program similar to Telix(tm) (program for calling  other
computers via modem) under MS-DOS.
If you want to access your Modem with minicom, you have to be in the
group uucp.

Authors:
--------
    Miquel van Smoorenburg <miquels@drinkel.ow.nl>

SuSE series: n

%prep
%setup
%patch
%patch1 -p 1

%build
make all -C src

%install
    mkdir -p /usr/share/doc/packages/minicom
    make install -C src MANDIR=%{_mandir}/man1
    install -d /var/lib/minicom
    ln -sf mc.iso    /usr/share/doc/packages/minicom/tables/dot.mciso
    ln -sf mc.noconv /usr/share/doc/packages/minicom/tables/dot.mcnoconv
    ln -sf mc.pc8    /usr/share/doc/packages/minicom/tables/dot.mcpc8
    ln -sf mc.sf7    /usr/share/doc/packages/minicom/tables/dot.mcsf7

%files
%config /etc/minicom.users
/usr/bin/ascii-xfr
/usr/bin/minicom
/usr/bin/runscript
/usr/bin/xminicom
%docdir /usr/share/doc/packages/minicom/
%doc /usr/share/doc/packages/minicom/Announce-1.78
%doc /usr/share/doc/packages/minicom/Announce-1.82
%doc /usr/share/doc/packages/minicom/Announce-1.82.1
%doc /usr/share/doc/packages/minicom/Announce-1.83
%doc /usr/share/doc/packages/minicom/Announce-1.83.1
%doc /usr/share/doc/packages/minicom/RedHat
%doc /usr/share/doc/packages/minicom/japanese
%doc /usr/share/doc/packages/minicom/minicom.FAQ
%doc /usr/share/doc/packages/minicom/minicom.users
%doc /usr/share/doc/packages/minicom/pl-translation.txt
%doc /usr/share/doc/packages/minicom/COMPATABILITY.lrzsz
%doc /usr/share/doc/packages/minicom/ChangeLog
%doc /usr/share/doc/packages/minicom/HistSearch
%doc /usr/share/doc/packages/minicom/Locales
%doc /usr/share/doc/packages/minicom/Macros
%doc /usr/share/doc/packages/minicom/Porting
%doc /usr/share/doc/packages/minicom/QuickStart.modemu
%doc /usr/share/doc/packages/minicom/README.lrzsz
%doc /usr/share/doc/packages/minicom/TODO.lrzsz
%doc /usr/share/doc/packages/minicom/Todo
%doc /usr/share/doc/packages/minicom/Todo.175
%doc /usr/share/doc/packages/minicom/Todo.Irix.dif
%doc /usr/share/doc/packages/minicom/Todo.emacskey.dif
%doc /usr/share/doc/packages/minicom/Todo.fsel
%doc /usr/share/doc/packages/minicom/copyright.modemu
%docdir /usr/share/doc/packages/minicom/demos/
%doc /usr/share/doc/packages/minicom/demos/htsalogin
%doc /usr/share/doc/packages/minicom/demos/saralogin
%doc /usr/share/doc/packages/minicom/demos/scriptdemo
%doc /usr/share/doc/packages/minicom/demos/unixlogin
%doc /usr/share/doc/packages/minicom/developers
%doc /usr/share/doc/packages/minicom/fselector.txt
%doc /usr/share/doc/packages/minicom/minirc.dfl
%doc /usr/share/doc/packages/minicom/modemu.README
%doc /usr/share/doc/packages/minicom/portugues-brasil
%doc /usr/share/doc/packages/minicom/suomeksi
%docdir /usr/share/doc/packages/minicom/tables/
%doc /usr/share/doc/packages/minicom/tables/dot.mciso
%doc /usr/share/doc/packages/minicom/tables/dot.mcnoconv
%doc /usr/share/doc/packages/minicom/tables/dot.mcpc8
%doc /usr/share/doc/packages/minicom/tables/dot.mcsf7
%doc /usr/share/doc/packages/minicom/tables/mc.iso
%doc /usr/share/doc/packages/minicom/tables/mc.noconv
%doc /usr/share/doc/packages/minicom/tables/mc.pc8
%doc /usr/share/doc/packages/minicom/tables/mc.sf7
%doc %{_mandir}/man1/ascii-xfr.1.gz
%doc %{_mandir}/man1/minicom.1.gz
%doc %{_mandir}/man1/runscript.1.gz
/usr/share/locale/fi_FI/LC_MESSAGES/minicom.mo
/usr/share/locale/pt_BR/LC_MESSAGES/minicom.mo
/usr/share/locale/fr/LC_MESSAGES/minicom.mo
/usr/share/locale/ja/LC_MESSAGES/minicom.mo
/usr/share/locale/ja_JP.SJIS/LC_MESSAGES/minicom.mo
/usr/share/locale/ko/LC_MESSAGES/minicom.mo
/usr/share/locale/pl/LC_MESSAGES/minicom.mo
%dir /var/lib/minicom/

%changelog -n minicom
* Thu Apr 19 2001 - mfabian@suse.de
- fix invalid multibyte characters in ko.po just to make it build
* Wed Feb 07 2001 - uli@suse.de
- fixed for glibc 2.2.1
* Thu Dec 21 2000 - uli@suse.de
- replaced call of "sx" with "sz -X"
* Thu Nov 30 2000 - uli@suse.de
- fixed some links
* Wed Nov 29 2000 - uli@suse.de
- update -> 1.83.1
* Wed May 24 2000 - uli@suse.de
- moved docs to /usr/share
* Thu Mar 02 2000 - kukuk@suse.de
- Use _mandir macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu May 06 1999 - kukuk@suse.de
- Don't link against libintl.a
* Thu Jul 30 1998 - bs@suse.de
- don't start rz with "-E" by default - our rz does not know it.
* Tue Jul 28 1998 - bs@suse.de
- marked minicom.users as %%config again.
* Mon Jul 27 1998 - werner@suse.de
- new version 1.81.1
- applied red hat security patches
- DONT set sguid uucp (you can't be saver :) ).  User have to be in
  group uucp, if they want access to modem.
